Subject: [PATCH] arm: msm: remove board file for Nexus One (ie. mahimahi)

From: [email-masked] (dwalker at fifo99.com)
Date: Mon, 19 May 2014 14:30:33 +0000

On Mon, May 19, 2014 at 01:53:28PM +0200, Paul Bolle wrote:
> Daniel,
> 
> On Thu, 2014-05-15 at 21:57 +0000, dwalker at fifo99.com wrote:
> > On Thu, May 15, 2014 at 08:10:13PM +0200, Paul Bolle wrote:
> > > This is not something I get to decide. Nevertheless, given that this
> > > file shouldn't have been merged to begin with, I'd appreciate it if some
> > > deadline could be agreed upon.
> > 
> > I think I merged it actually, but there's no rules about what gets merged. How when what order, etc.
> > It's all free form.
> 
> There do not seem to be formal rules. But there surely are some
> requirements for code to be added. One of the requirements is, I think,
> that it should build. This file cannot be built: it is not wired into a
> Makefile and it also includes, what appears to be, its own header file,
> but that header is not part of the tree.

The requirements are created by the maintainers.. In this case I would have expected
support for this phone much sooner, and there are in fact patches on the list to support
it which just haven't been merged yet. 

> Even the most dubious of code in drivers/staging is expected to "compile
> properly"!

But mach-msm isn't staging, different rules apply there.

Daniel